package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.dos.DeviceDO;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author
 * @title: Vothin
 * @projectName nc
 * @description: TODO
 * @date 2021/7/314:50
 */
public class DeviceRoomInfoVO extends DeviceDO implements Serializable {

    @Column(name = "hospital_id")
    @ApiModelProperty(value = "医院id", required = false)
    private Integer hospitalId;

    @Column(name = "hospital_name")
    @ApiModelProperty(value = "医院名称", required = false)
    private String hospitalName;

    @Column(name = "part_name")
    @ApiModelProperty(value = "科室名称", required = false)
    private String partName;

    @Column(name = "full_name")
    @ApiModelProperty(value = "病房病床名称", required = false)
    private String fullName;

    @Column(name = "alias")
    @ApiModelProperty(value = "病房病床别名", required = false)
    private String alias;

    @Column(name = "member_name")
    @ApiModelProperty(value = "用户名称", required = false)
    private String memberName;

    @Column(name = "role_name")
    @ApiModelProperty(value = "角色名称", required = false)
    private String roleName;


    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName;
    }

    public String getFullName() {
        return fullName;
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }
}
